Subject: Re: Some sub-commands can't be completed by TAB key.

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Jan 2022 23:33:25 -0800

João Victor Bonfim  <[email-masked]>
writes:

>> It is also worth noting that completion will also include whatever
>> alias.  I get "lg" in the mix because I have...
>
> That sounds like something that should be hidden, no?
> Like, all aliases are left unmentioned?

Unlike the plumbing commands that are meant to be used in writing
scripts and not typed in interactive sessions, and more like
Porcelain commands that are meant to be used by human end-users in
their interactive sessions by getting typed from the keyboard, an
aliase is often (and certainly my "lg" is) defined in order to give
a short-and-sweet typesaver to a command with common initial options
that the user finds useful in their interactive sessions.

I am curious to find out what makes you think it is a good idea to
omit them from completion.